For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
        • GETList
        • POSTCreate
LogoLogo
Sign upLog in
API ReferenceOrganizationsLandscapes

List

GET
https://api.icepanel.io/v1/organizations/:organizationId/landscapes
GET
/v1/organizations/:organizationId/landscapes
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.organizations.landscapes.list("organizationId");
8}
9main();
1{
2 "landscapes": [
3 {
4 "name": "string",
5 "scheduledVersions": true,
6 "organizationId": "string",
7 "createdAt": "2024-01-15T09:30:00Z",
8 "createdBy": "user",
9 "createdById": "string",
10 "id": "string",
11 "updatedAt": "2024-01-15T09:30:00Z",
12 "updatedBy": "user",
13 "updatedById": "string"
14 }
15 ]
16}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

organizationIdstringRequired

Response

OK
landscapeslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error